function [BW2, status] = text_blackboard(BW)

% TEXT_BLACKBOARD makes text in an image appear 
% white (value 1) on black backgorund (value 1) 
%
% INPUT
% --------------------
% BW - input image
%
% Requirments:
% - binary image
% - the number of background pixels is higher than 
%   that of the text pixels
%
% OUTPUT
% --------------------
% I2 - negative text image
% status - 0 if value reversal occured, 1 otherwise
%     
% Vlad Atanasiu / 2010.10.09

[sz1, sz2] = size(BW);
if sum(BW(:)) > sz1*sz2 / 2 % check for positivity
    BW2 = imneg(BW); % flip values
    status = true; % signal if flip occured
else
    BW2 = BW; % nothing happens
    status = false;
end
